Bug 185446 - Can't build mail/postfix against databases/db6 (berkeley db 6)
Summary: Can't build mail/postfix against databases/db6 (berkeley db 6)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sahil Tandon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-01-03 15:50 UTC by Eero Hänninen
Modified: 2014-01-21 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (699 bytes, patch)
2014-01-03 15:50 UTC, Eero Hänninen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eero Hänninen 2014-01-03 15:50:00 UTC
When build mail/postfix (current version 2.10.2) package from source against Berkeley DB ver 6, then build just fails with postfix source code error Unknown Berkeley DB version.

Fix: There is two fix in my mind:

1. Wait when BDB 6 support officially become available in postfix and till that check default BDB version in mail/postfix port Makefile and if its greater than 5 then give error.

2. Add little patch to postfix port to support unofficially bdb ver 6:
How-To-Repeat: change default Berkeley DB version to 6 in make.conf
echo "WITH_BDB_VER=6" >> /etc/make.conf

make -C /usr/ports/mail/postfix/Makefile install clean
Comment 1 Edwin Groothuis freebsd_committer 2014-01-03 15:50:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->sahil

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sahil Tandon freebsd_committer 2014-01-20 16:32:18 UTC
State Changed
From-To: open->analyzed

Reviewing; likely to go with option 1.
Comment 3 dfilter service freebsd_committer 2014-01-21 01:17:34 UTC
Author: sahil
Date: Tue Jan 21 01:17:26 2014
New Revision: 340536
URL: http://svnweb.freebsd.org/changeset/ports/340536
QAT: https://qat.redports.org/buildarchive/r340536/

Log:
  - Update to Postfix 2.12 Snapshot 20140109
  - Set INVALID_BDB_VER [1]
  - Adopt new LIB_DEPENDS syntax [2]
  - Add option to support LMDB databases [2]
  - Modify shell command to quiet warnings on 10+ [3]
  - Respect upstream Makefile's warning suppression [4]
  
  PR:		[1]: ports/185446
  		[2]: ports/185860
  		[3]: ports/185857
  
  Submitted by:	[1]: Eero Hanninen <fax@nohik.ee>
  		[2]: Yasuhiro KIMURA <yasu@utahime.org>
  		[3]: adamw
  		[4]: koobs (via email)

Modified:
  head/mail/postfix-current/Makefile
  head/mail/postfix-current/distinfo
  head/mail/postfix-current/files/patch-makedefs
  head/mail/postfix-current/pkg-plist   (contents, props changed)

Modified: head/mail/postfix-current/Makefile
==============================================================================
--- head/mail/postfix-current/Makefile	Tue Jan 21 01:01:15 2014	(r340535)
+++ head/mail/postfix-current/Makefile	Tue Jan 21 01:17:26 2014	(r340536)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-DISTVERSION=	2.11-20131001
+DISTVERSION=	2.12-20140109
 PORTEPOCH=	4
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/experimental/ \
@@ -23,7 +23,8 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 CONFLICTS=	courier-0.* postfix-1.* postfix-2.* postfix-base-2.* postfix2[789]-* \
-		sendmail-8.* sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+		postfix21?-* sendmail-8.* sendmail+*-8.* smail-3.* zmailer-2.* \
+		opensmtpd-[0-9]*
 
 USERS=		postfix
 GROUPS=		mail maildrop postfix
@@ -33,7 +34,7 @@ USE_SUBMAKE=	yes
 SCRIPTS_ENV+=	POSTFIX_DEFAULT_MTA="${POSTFIX_DEFAULT_MTA}"
 
 OPTIONS_DEFINE=	PCRE SASL2 TLS BDB MYSQL PGSQL SQLITE OPENLDAP LDAP_SASL \
-		CDB NIS VDA TEST SPF INST_BASE
+		CDB NIS VDA TEST SPF INST_BASE LMDB
 PCRE_DESC=	Perl Compatible Regular Expressions
 SASL2_DESC=	Cyrus SASLv2 (Simple Auth. and Sec. Layer)
 DOVECOT_DESC=	Dovecot 1.x SASL authentication method
@@ -53,6 +54,7 @@ VDA_DESC=	VDA (Virtual Delivery Agent 32
 TEST_DESC=	SMTP/LMTP test server and generator
 SPF_DESC=	SPF support (via libspf2 1.2.x)
 INST_BASE_DESC=	Install into /usr and /etc/postfix
+LMDB_DESC=	LMDB maps
 
 OPTIONS_RADIO=	RG1 RG2
 OPTIONS_RADIO_RG1=	DOVECOT DOVECOT2
@@ -70,9 +72,10 @@ MAN1=	postalias.1 postcat.1 postconf.1 p
 	sendmail.1 qshape.1
 
 MAN5=	access.5 aliases.5 bounce.5 canonical.5 cidr_table.5 generic.5 \
-	header_checks.5 ldap_table.5 master.5 memcache_table.5 mysql_table.5 \
-	nisplus_table.5 pcre_table.5 pgsql_table.5 postconf.5 postfix-wrapper.5 \
-	regexp_table.5 relocated.5 sqlite_table.5 tcp_table.5 transport.5 virtual.5
+	header_checks.5 ldap_table.5 lmdb_table.5 master.5 memcache_table.5 \
+	mysql_table.5 nisplus_table.5 pcre_table.5 pgsql_table.5 postconf.5 \
+	postfix-wrapper.5 regexp_table.5 relocated.5 socketmap_table.5 \
+	sqlite_table.5 tcp_table.5 transport.5 virtual.5
 
 MAN8=	anvil.8 bounce.8 cleanup.8 discard.8 dnsblog.8 error.8 flush.8 local.8 master.8 \
 	oqmgr.8 pickup.8 pipe.8 postscreen.8 proxymap.8 qmgr.8 qmqpd.8 scache.8 showq.8 \
@@ -89,7 +92,7 @@ HTML1=	body_checks.5.html bounce.5.html 
 	scache.8.html tlsmgr.8.html
 
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING) && exists(/etc/mail/mailer.conf)
-OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || true
+OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || ${ECHO_CMD}
 .if !empty(OLD_MAILER)
 IS_INTERACTIVE=	yes
 .endif
@@ -101,7 +104,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -119,7 +123,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=	LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -127,7 +131,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -150,7 +154,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -161,7 +165,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -175,6 +179,7 @@ PLIST_SUB+=		SPF="@comment "
 
 .if ${PORT_OPTIONS:MBDB}
 USE_BDB=		yes
+INVALID_BDB_VER=	6
 POSTFIX_CCARGS+=	-I${BDB_INCLUDE_DIR}
 POSTFIX_AUXLIBS+=	-L${BDB_LIB_DIR} -l${BDB_LIB_NAME}
 .endif
@@ -209,7 +214,7 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 .endif
 POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
@@ -250,6 +255,12 @@ USE_RC_SUBR=	postfix
 PLIST_SUB+=	BASE="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MLMDB}
+LIB_DEPENDS+=		liblmdb.so:${PORTSDIR}/databases/lmdb
+POSTFIX_CCARGS+=	-DHAS_LMDB -I${LOCALBASE}/include
+POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -llmdb
+.endif
+
 PLIST_SUB+=	PFETC=${ETCDIR}
 
 .if ${PORT_OPTIONS:MDOCS}

Modified: head/mail/postfix-current/distinfo
==============================================================================
--- head/mail/postfix-current/distinfo	Tue Jan 21 01:01:15 2014	(r340535)
+++ head/mail/postfix-current/distinfo	Tue Jan 21 01:17:26 2014	(r340536)
@@ -1,4 +1,4 @@
-SHA256 (postfix/postfix-2.11-20131001.tar.gz) = c678ddd6282ab0357132626cc4f583a9c539b2281ff3c8ed6fb075ad89ae1528
-SIZE (postfix/postfix-2.11-20131001.tar.gz) = 3965335
+SHA256 (postfix/postfix-2.12-20140109.tar.gz) = 38869ec99f65b28f895b8523e0907cd31794b4de622df46a506b66d3c754bb39
+SIZE (postfix/postfix-2.12-20140109.tar.gz) = 4015756
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191

Modified: head/mail/postfix-current/files/patch-makedefs
==============================================================================
--- head/mail/postfix-current/files/patch-makedefs	Tue Jan 21 01:01:15 2014	(r340535)
+++ head/mail/postfix-current/files/patch-makedefs	Tue Jan 21 01:17:26 2014	(r340536)
@@ -1,15 +1,13 @@
---- makedefs.orig	2013-10-27 03:07:25.000000000 +0000
-+++ makedefs	2013-10-27 03:08:36.000000000 +0000
-@@ -158,7 +158,11 @@
+--- makedefs.orig	2014-01-20 23:24:30.000000000 +0000
++++ makedefs	2014-01-20 23:25:24.000000000 +0000
+@@ -158,6 +158,10 @@
  		;;
    FreeBSD.9*)	SYSTYPE=FREEBSD9
  		;;
-- DragonFly.*)	SYSTYPE=DRAGONFLY
 +  FreeBSD.10*)	SYSTYPE=FREEBSD10
 +		;;
 +  FreeBSD.11*)	SYSTYPE=FREEBSD11
 +		;;
-+DragonFly.*)	SYSTYPE=DRAGONFLY
+  DragonFly.*)	SYSTYPE=DRAGONFLY
  		;;
    OpenBSD.2*)	SYSTYPE=OPENBSD2
- 		;;

Modified: head/mail/postfix-current/pkg-plist
==============================================================================
--- head/mail/postfix-current/pkg-plist	Tue Jan 21 01:01:15 2014	(r340535)
+++ head/mail/postfix-current/pkg-plist	Tue Jan 21 01:17:26 2014	(r340536)
@@ -87,6 +87,8 @@ sbin/sendmail
 %%PORTDOCS%%%%DOCSDIR%%/ETRN_README.html
 %%PORTDOCS%%%%DOCSDIR%%/FILTER_README
 %%PORTDOCS%%%%DOCSDIR%%/FILTER_README.html
+%%PORTDOCS%%%%DOCSDIR%%/FORWARD_SECRECY_README
+%%PORTDOCS%%%%DOCSDIR%%/FORWARD_SECRECY_README.html
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL.html
 %%PORTDOCS%%%%DOCSDIR%%/IPV6_README
@@ -95,6 +97,8 @@ sbin/sendmail
 %%PORTDOCS%%%%DOCSDIR%%/LDAP_README.html
 %%PORTDOCS%%%%DOCSDIR%%/LINUX_README
 %%PORTDOCS%%%%DOCSDIR%%/LINUX_README.html
+%%PORTDOCS%%%%DOCSDIR%%/LMDB_README
+%%PORTDOCS%%%%DOCSDIR%%/LMDB_README.html
 %%PORTDOCS%%%%DOCSDIR%%/LOCAL_RECIPIENT_README
 %%PORTDOCS%%%%DOCSDIR%%/LOCAL_RECIPIENT_README.html
 %%PORTDOCS%%%%DOCSDIR%%/MAILDROP_README
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2014-01-21 01:17:44 UTC
Author: sahil
Date: Tue Jan 21 01:17:35 2014
New Revision: 340537
URL: http://svnweb.freebsd.org/changeset/ports/340537
QAT: https://qat.redports.org/buildarchive/r340537/

Log:
  Repo-copy mail/postfix -> mail/postfix210, and update
  both ports to the latest version.  Also:
  
  - Set INVALID_BDB_VER [1]
  - Adopt new LIB_DEPENDS syntax [2]
  - Add option to support LMDB databases [2]
  - Modify shell command to quiet warnings on 10+ [3]
  - Respect upstream Makefile's warning suppression [4]
  
  PR:		[1]: ports/185446
  		[2]: ports/185860
  		[3]: ports/185857
  
  Submitted by:	[1]: Eero Hanninen <fax@nohik.ee>
  		[2]: Yasuhiro KIMURA <yasu@utahime.org>
  		[3]: adamw
  		[4]: koobs (via email)

Added:
  head/mail/postfix210/
     - copied from r340405, head/mail/postfix/
Modified:
  head/mail/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix/distinfo
  head/mail/postfix/pkg-plist   (contents, props changed)
  head/mail/postfix210/Makefile
  head/mail/postfix210/distinfo

Modified: head/mail/Makefile
==============================================================================
--- head/mail/Makefile	Tue Jan 21 01:17:26 2014	(r340536)
+++ head/mail/Makefile	Tue Jan 21 01:17:35 2014	(r340537)
@@ -519,6 +519,7 @@
     SUBDIR += postfix-policyd-spf-python
     SUBDIR += postfix-policyd-weight
     SUBDIR += postfix-postfwd
+    SUBDIR += postfix210
     SUBDIR += postfix27
     SUBDIR += postfix28
     SUBDIR += postfix29

Modified: head/mail/postfix/Makefile
==============================================================================
--- head/mail/postfix/Makefile	Tue Jan 21 01:17:26 2014	(r340536)
+++ head/mail/postfix/Makefile	Tue Jan 21 01:17:35 2014	(r340537)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.10.2
+PORTVERSION=	2.11.0
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -22,7 +22,7 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 VDAVERSION=	2.10.0
-CONFLICTS=	courier-0.* postfix-1.* postfix2?-* \
+CONFLICTS=	courier-0.* postfix-1.* postfix2?-* postfix21?-* \
 		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
 		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
@@ -34,7 +34,7 @@ USE_PERL5=	build
 SCRIPTS_ENV+=	POSTFIX_DEFAULT_MTA="${POSTFIX_DEFAULT_MTA}"
 
 OPTIONS_DEFINE=	PCRE SASL2 TLS BDB MYSQL PGSQL SQLITE OPENLDAP LDAP_SASL \
-		CDB NIS VDA TEST SPF INST_BASE
+		CDB NIS VDA TEST SPF INST_BASE LMDB
 PCRE_DESC=	Perl Compatible Regular Expressions
 SASL2_DESC=	Cyrus SASLv2 (Simple Auth. and Sec. Layer)
 DOVECOT_DESC=	Dovecot 1.x SASL authentication method
@@ -54,6 +54,7 @@ VDA_DESC=	VDA (Virtual Delivery Agent 32
 TEST_DESC=	SMTP/LMTP test server and generator
 SPF_DESC=	SPF support (via libspf2 1.2.x)
 INST_BASE_DESC=	Install into /usr and /etc/postfix
+LMDB_DESC=	LMDB maps
 
 OPTIONS_RADIO=	RG1 RG2
 OPTIONS_RADIO_RG1=	DOVECOT DOVECOT2
@@ -71,9 +72,10 @@ MAN1=	postalias.1 postcat.1 postconf.1 p
 	sendmail.1 qshape.1
 
 MAN5=	access.5 aliases.5 bounce.5 canonical.5 cidr_table.5 generic.5 \
-	header_checks.5 ldap_table.5 master.5 memcache_table.5 mysql_table.5 \
-	nisplus_table.5 pcre_table.5 pgsql_table.5 postconf.5 postfix-wrapper.5 \
-	regexp_table.5 relocated.5 sqlite_table.5 tcp_table.5 transport.5 virtual.5
+	header_checks.5 ldap_table.5 lmdb_table.5 master.5 memcache_table.5 \
+	mysql_table.5 nisplus_table.5 pcre_table.5 pgsql_table.5 postconf.5 \
+	postfix-wrapper.5 regexp_table.5 relocated.5 socketmap_table.5 \
+	sqlite_table.5 tcp_table.5 transport.5 virtual.5
 
 MAN8=	anvil.8 bounce.8 cleanup.8 discard.8 dnsblog.8 error.8 flush.8 local.8 master.8 \
 	oqmgr.8 pickup.8 pipe.8 postscreen.8 proxymap.8 qmgr.8 qmqpd.8 scache.8 showq.8 \
@@ -90,7 +92,7 @@ HTML1=	body_checks.5.html bounce.5.html 
 	scache.8.html tlsmgr.8.html
 
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING) && exists(/etc/mail/mailer.conf)
-OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || true
+OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || ${ECHO_CMD}
 .if !empty(OLD_MAILER)
 IS_INTERACTIVE=	yes
 .endif
@@ -106,7 +108,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -124,7 +127,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=		LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -132,7 +135,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -152,7 +155,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -163,7 +166,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -177,6 +180,7 @@ PLIST_SUB+=		SPF="@comment "
 
 .if ${PORT_OPTIONS:MBDB}
 USE_BDB=		yes
+INVALID_BDB_VER=	6
 POSTFIX_CCARGS+=	-I${BDB_INCLUDE_DIR}
 POSTFIX_AUXLIBS+=	-L${BDB_LIB_DIR} -l${BDB_LIB_NAME}
 .endif
@@ -211,7 +215,7 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 .endif
 POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
@@ -257,6 +261,12 @@ USE_RC_SUBR=	postfix
 PLIST_SUB+=	BASE="@comment "
 .endif
 
+.if ${PORT_OPTIONS:MLMDB}
+LIB_DEPENDS+=		liblmdb.so:${PORTSDIR}/databases/lmdb
+POSTFIX_CCARGS+=	-DHAS_LMDB -I${LOCALBASE}/include
+POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -llmdb
+.endif
+
 PLIST_SUB+=	PFETC=${ETCDIR}
 
 .if ${PORT_OPTIONS:MDOCS}

Modified: head/mail/postfix/distinfo
==============================================================================
--- head/mail/postfix/distinfo	Tue Jan 21 01:17:26 2014	(r340536)
+++ head/mail/postfix/distinfo	Tue Jan 21 01:17:35 2014	(r340537)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.10.2.tar.gz) = f1a735a5a9ffeac8fca59046c437c3b76e7f923fb4249db2a55b2bff0306ddd4
-SIZE (postfix/postfix-2.10.2.tar.gz) = 3828326
+SHA256 (postfix/postfix-2.11.0.tar.gz) = ca1d9d32d5662678dc4e3f700cce82f5d7bed6a614852b17b1a5166936330c38
+SIZE (postfix/postfix-2.11.0.tar.gz) = 4034741
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v13-2.10.0.patch) = 6208021eb0b37ac6482e334e538ed5700cc22c4d4dd66ed9e975ae5f20bf935f

Modified: head/mail/postfix/pkg-plist
==============================================================================
--- head/mail/postfix/pkg-plist	Tue Jan 21 01:17:26 2014	(r340536)
+++ head/mail/postfix/pkg-plist	Tue Jan 21 01:17:35 2014	(r340537)
@@ -88,6 +88,8 @@ sbin/sendmail
 %%PORTDOCS%%%%DOCSDIR%%/ETRN_README.html
 %%PORTDOCS%%%%DOCSDIR%%/FILTER_README
 %%PORTDOCS%%%%DOCSDIR%%/FILTER_README.html
+%%PORTDOCS%%%%DOCSDIR%%/FORWARD_SECRECY_README
+%%PORTDOCS%%%%DOCSDIR%%/FORWARD_SECRECY_README.html
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL
 %%PORTDOCS%%%%DOCSDIR%%/INSTALL.html
 %%PORTDOCS%%%%DOCSDIR%%/IPV6_README
@@ -98,6 +100,8 @@ sbin/sendmail
 %%PORTDOCS%%%%DOCSDIR%%/LDAP_README.html
 %%PORTDOCS%%%%DOCSDIR%%/LINUX_README
 %%PORTDOCS%%%%DOCSDIR%%/LINUX_README.html
+%%PORTDOCS%%%%DOCSDIR%%/LMDB_README
+%%PORTDOCS%%%%DOCSDIR%%/LMDB_README.html
 %%PORTDOCS%%%%DOCSDIR%%/LOCAL_RECIPIENT_README
 %%PORTDOCS%%%%DOCSDIR%%/LOCAL_RECIPIENT_README.html
 %%PORTDOCS%%%%DOCSDIR%%/MAILDROP_README

Modified: head/mail/postfix210/Makefile
==============================================================================
--- head/mail/postfix/Makefile	Mon Jan 20 15:19:20 2014	(r340405)
+++ head/mail/postfix210/Makefile	Tue Jan 21 01:17:35 2014	(r340537)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	postfix
-PORTVERSION=	2.10.2
+PORTVERSION=	2.10.3
 PORTEPOCH=	1
 CATEGORIES=	mail ipv6
 MASTER_SITES=	ftp://ftp.porcupine.org/mirrors/postfix-release/official/ \
@@ -11,6 +11,7 @@ MASTER_SITES=	ftp://ftp.porcupine.org/mi
 		ftp://ftp.samurai.com/pub/postfix/official/ \
 		${MASTER_SITE_RINGSERVER:S,%SUBDIR%,net/mail/postfix/official/&,}
 MASTER_SITE_SUBDIR=	. old related/postfix
+PKGNAMESUFFIX=	210
 DIST_SUBDIR=	${PORTNAME}
 
 MAINTAINER=	sahil@FreeBSD.org
@@ -22,9 +23,10 @@ LICENSE_FILE=	${WRKSRC}/LICENSE
 LICENSE_PERMS=	dist-mirror dist-sell pkg-mirror pkg-sell auto-accept
 
 VDAVERSION=	2.10.0
-CONFLICTS=	courier-0.* postfix-1.* postfix2?-* \
-		postfix-current-2.* postfix-current-base-2.* sendmail-8.* \
-		sendmail+*-8.* smail-3.* zmailer-2.* opensmtpd-[0-9]*
+CONFLICTS=	courier-0.* postfix-1.* postfix2[789]-* \
+		postfix-2.11.* postfix-base-2.11.* postfix-current-2.* \
+		postfix-current-base-2.* sendmail-8.* sendmail+*-8.* \
+		smail-3.* zmailer-2.* opensmtpd-[0-9]*
 
 USERS=		postfix
 GROUPS=		mail maildrop postfix
@@ -90,7 +92,7 @@ HTML1=	body_checks.5.html bounce.5.html 
 	scache.8.html tlsmgr.8.html
 
 .if !defined(BATCH) && !defined(PACKAGE_BUILDING) && exists(/etc/mail/mailer.conf)
-OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || true
+OLD_MAILER!=	${GREP} -m 1 '^purgestat' /etc/mail/mailer.conf || ${ECHO_CMD}
 .if !empty(OLD_MAILER)
 IS_INTERACTIVE=	yes
 .endif
@@ -106,7 +108,8 @@ MAKEFILEFLAGS+=	DEBUG=
 
 MAKEFILEFLAGS+=	CC="${CC}" OPT="${CFLAGS}"
 
-POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
+POSTFIX_CCARGS+=	\$$(WARN) \
+			-DDEF_CONFIG_DIR=\\\"${ETCDIR}\\\" \
 			-DDEF_DAEMON_DIR=\\\"${DAEMONDIR}\\\" \
 			-DDEF_COMMAND_DIR=\\\"${PREFIX}/sbin\\\" \
 			-DDEF_SENDMAIL_PATH=\\\"${PREFIX}/sbin/sendmail\\\" \
@@ -124,7 +127,7 @@ POSTFIX_CCARGS+=	-DDEF_CONFIG_DIR=\\\"${
 _REQUIRE=		LOGIN cleanvar
 
 .if ${PORT_OPTIONS:MPCRE}
-LIB_DEPENDS+=		pcre:${PORTSDIR}/devel/pcre
+LIB_DEPENDS+=		libpcre.so:${PORTSDIR}/devel/pcre
 POSTFIX_CCARGS+=	-DHAS_PCRE -I${LOCALBASE}/include
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lpcre
 .else
@@ -132,7 +135,7 @@ POSTFIX_CCARGS+=	-DNO_PCRE
 .endif
 
 .if ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 POSTFIX_CCARGS+=	-DUSE_SASL_AUTH -DUSE_CYRUS_SASL -I${LOCALBASE}/include -I${LOCALBASE}/include/sasl
 POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -lsasl2 -lpam -lcrypt
 .endif
@@ -152,7 +155,7 @@ POSTFIX_AUXLIBS+=	-lkrb5 ${KRB5_EXTR} -l
 .endif
 
 .if ${PORT_OPTIONS:MSASLKMIT}
-LIB_DEPENDS+=		krb5:${PORTSDIR}/security/krb5
+LIB_DEPENDS+=		libkrb5.so:${PORTSDIR}/security/krb5
 POSTFIX_AUXLIBS+=	-Wl,--rpath,$${KRB5_HOME:-${LOCALBASE}}/lib -lkrb5 -lcrypto -lcrypt -lcom_err
 .endif
 
@@ -163,7 +166,7 @@ POSTFIX_AUXLIBS+=	-L${OPENSSLLIB} ${LDFL
 .endif
 
 .if ${PORT_OPTIONS:MSPF}
-LIB_DEPENDS+=		spf2:${PORTSDIR}/mail/libspf2
+LIB_DEPENDS+=		libspf2.so:${PORTSDIR}/mail/libspf2
 PATCH_SITES+=		${MASTER_SITE_LOCAL}
 PATCH_SITE_SUBDIR=	mm
 PATCHFILES+=		postfix-2.8.0-libspf2-1.2.x-0.patch.gz
@@ -177,6 +180,7 @@ PLIST_SUB+=		SPF="@comment "
 
 .if ${PORT_OPTIONS:MBDB}
 USE_BDB=		yes
+INVALID_BDB_VER=	6
 POSTFIX_CCARGS+=	-I${BDB_INCLUDE_DIR}
 POSTFIX_AUXLIBS+=	-L${BDB_LIB_DIR} -l${BDB_LIB_NAME}
 .endif
@@ -211,7 +215,7 @@ POSTFIX_AUXLIBS+=	-L${LOCALBASE}/lib -ll
 _REQUIRE+=		slapd
 .if ${PORT_OPTIONS:MLDAP_SASL}
 .if ! ${PORT_OPTIONS:MSASL2}
-LIB_DEPENDS+=		sasl2:${PORTSDIR}/security/cyrus-sasl2
+LIB_DEPENDS+=		libsasl2.so:${PORTSDIR}/security/cyrus-sasl2
 .endif
 POSTFIX_CCARGS+=	-I${LOCALBASE}/include/sasl -DUSE_LDAP_SASL
 .endif
@@ -247,7 +251,7 @@ PLIST_SUB+=	TEST="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MINST_BASE}
-PKGNAMESUFFIX=	-base
+PKGNAMESUFFIX=	210base
 PREFIX=		/usr
 ETCDIR=		/etc/postfix
 USE_RCORDER=	postfix

Modified: head/mail/postfix210/distinfo
==============================================================================
--- head/mail/postfix/distinfo	Mon Jan 20 15:19:20 2014	(r340405)
+++ head/mail/postfix210/distinfo	Tue Jan 21 01:17:35 2014	(r340537)
@@ -1,5 +1,5 @@
-SHA256 (postfix/postfix-2.10.2.tar.gz) = f1a735a5a9ffeac8fca59046c437c3b76e7f923fb4249db2a55b2bff0306ddd4
-SIZE (postfix/postfix-2.10.2.tar.gz) = 3828326
+SHA256 (postfix/postfix-2.10.3.tar.gz) = 7815d8ad88af76e0962f18bf1e80b1aa5a0d096a00dac1d313fbab3e824b3f5b
+SIZE (postfix/postfix-2.10.3.tar.gz) = 3828808
 SHA256 (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = e5c38e5bc226cab109c02a4e530ab1aefd3bb06f2169f3e052bdf83d2727aacc
 SIZE (postfix/postfix-2.8.0-libspf2-1.2.x-0.patch.gz) = 8191
 SHA256 (postfix/postfix-vda-v13-2.10.0.patch) = 6208021eb0b37ac6482e334e538ed5700cc22c4d4dd66ed9e975ae5f20bf935f
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Sahil Tandon freebsd_committer 2014-01-21 01:18:39 UTC
State Changed
From-To: analyzed->closed

Committed. Thanks!